hswaw - Bugless #40

kO: refresh certificates September 2021
03/27/2021 12:17 PM - g3k

Status: Resolved
Priority: Normal
Assignee: g3k
Category:

Description

Previous refresh: #36

cluster/certs/ca-kube-prodvider.cert
cluster/certs/etcd-dcr01s22.hswaw.net.cert
cluster/certs/etcd-dcr01s24.hswaw.net.cert
cluster/certs/etcdpeer-dcr01s22.hswaw.net.cert
cluster/certs/etcdpeer-dcr0ls24.hswaw.net.cert

cluster/certs/kube—-apiserver.cert Not After

Not After

cluster/certs/kube-kubelet-dcr01s22.hswaw.net.cert
cluster/certs/kube-kubelet-dcr01ls24.hswaw.net.cert

No
No
Oct

Sep 1 21:30:00 2021 GMT

Not After : Oct 3 15:33:00 2021 GMT

Not After : Oct 3 15:38:00 2021 GMT

3 15:33:00 2021 GMT
3 15:38:00 2021 GMT
3 15:26:00 2021 GMT

t After : Oct
t After : Oct

Not After
Not After

Oct
Oct

3 15:33:00 2021
3 15:38:00 2021

GMT
GMT

History

#1 - 03/27/2021 12:18 PM - q3k

patryk: interested in taking a stab at this in September?

#2 - 08/29/2021 04:38 PM - q3k

It's time.

hscloud-build-chrootenv:g3k@mimeomia:~/hscloud$ for £ in cluster/certs/*;

grep "Not After"); echo $exp | grep 2021 && echo $f;
Not After : Sep 1 21:30:00 2021 GMT
cluster/certs/ca-kube-prodvider.cert

Not After : Oct 3 15:33:00 2021 GMT
cluster/certs/etcd-dcr01s22.hswaw.net.cert

Not After : Oct 3 15:38:00 2021 GMT
cluster/certs/etcd-dcr01s24.hswaw.net.cert

Not After : Oct 3 15:33:00 2021 GMT
cluster/certs/etcdpeer-dcr01s22.hswaw.net.cert

Not After : Oct 3 15:38:00 2021 GMT
cluster/certs/etcdpeer-dcr0ls24.hswaw.net.cert

Not After : Oct 3 15:26:00 2021 GMT
cluster/certs/kube-apiserver.cert

Not After : Oct 3 15:33:00 2021 GMT
cluster/certs/kube-kubelet-dcr01s22.hswaw.net.cert
Not After : Oct 3 15:38:00 2021 GMT
cluster/certs/kube-kubelet-dcr0ls24.hswaw.net.cert

Let's refresh all of these bad boys.

#3 - 08/29/2021 05:39 PM - q3k
Prodvider done: https:/gerrit.hackerspace.pl/c/hscloud/+/1050

I'm thinking of doing the rest after unfucking nixos and thus also unfucking ceph.

#4 - 10/07/2021 06:52 PM - q3k

- Status changed from Assigned to Resolved

Fixed in https://gerrit.nackerspace.pl/1153

Next: #58

05/17/2024

done

do exp=$ (openssl x509 -text < $f
